import 'dart:ui';

import 'package:ecosim/src/ecosim/models/world_object.dart';

class PointerIndicator extends WorldObject {
  PointerIndicator({required super.position});

  void input(double x, double y) {
    position.x = x;
    position.y = y;
  }

  void render(Canvas canvas) {
    canvas.save();
    canvas.translate(
      position.x,
      position.y,
    );
    var white = Paint()..color = const Color.fromARGB(120, 246, 255, 0);
    canvas.drawCircle(Offset.zero, 20, white);
    canvas.restore();
  }
}
